Skip to main content
GET
Get a team member by account (email)

Headers

Authorization
string
required

Bearer [access_token]

Path Parameters

account
string
required

Login email of the team member to retrieve.

Response

Team member retrieved successfully.

id
integer<int64>

Team-member record ID.

Example:

11

teamId
integer<int64>

ID of the team this member belongs to.

Example:

12345

invitorUserId
integer<int64>

User ID of the member who invited this member.

Example:

100001

memberUserId
integer<int64>

User ID of the team member.

Example:

100234

role
integer<int32>

Numeric role code.

Example:

0

roleName
string

Human-readable role name.

Example:

"Agent"

firstLetter
string

First letter of the member's name, used for alphabetic grouping.

Example:

"A"

email
string

Email address of the member.

Example:

"alice@example.com"

firstName
string

Given name of the member.

Example:

"Alice"

lastName
string

Family name of the member.

Example:

"Johnson"

phoneNumber
string

Phone number of the member.

Example:

"+14155550199"

status
integer<int32>

Numeric status code of the member.

Example:

1

virtualNumber
string

Virtual number assigned to the member for dialer features. Empty string when no virtual number is assigned.

Example:

"+14155550100"

newLeadCount
integer<int32>

Number of new (unassigned) leads routable to this member.

Example:

5

assignedLeadCount
integer<int32>

Number of leads currently assigned to this member.

Example:

42

isAdmin
boolean

Whether the member is an administrator of the team.

Example:

false

agentInfo
object

Additional agent profile details.

timeZoneId
string

IANA time zone identifier for the member.

Example:

"America/Los_Angeles"

groupId
integer<int64>

ID of the office / group this member belongs to.

Example:

12345

groupName
string

Name of the office / group this member belongs to.

Example:

"North Austin Office"

group
object
accountStatus
string